summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-03-19 13:44:52 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-03-19 13:44:52 +0000
commit4914702a413f27e178461f0491b6586083311555 (patch)
tree1af3d5e822f7a52493cb01be4510b818fe923181 /dev-python
parent89bbeb75ce5239b131538cb328290817c5beef26 (diff)
downloadbaldeagleos-repo-4914702a413f27e178461f0491b6586083311555.tar.gz
baldeagleos-repo-4914702a413f27e178461f0491b6586083311555.tar.xz
baldeagleos-repo-4914702a413f27e178461f0491b6586083311555.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.17.32.ebuild56
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.20.32.ebuild59
-rw-r--r--dev-python/cbor2/cbor2-5.2.0.ebuild27
-rw-r--r--dev-python/lark-parser/Manifest1
-rw-r--r--dev-python/lark-parser/lark-parser-0.11.2.ebuild28
-rw-r--r--dev-python/markdown/markdown-2.6.11.ebuild3
-rw-r--r--dev-python/pydocstyle/Manifest1
-rw-r--r--dev-python/pydocstyle/pydocstyle-6.0.0.ebuild30
-rw-r--r--dev-python/s3transfer/Manifest1
-rw-r--r--dev-python/s3transfer/s3transfer-0.3.6.ebuild32
-rw-r--r--dev-python/soupsieve/Manifest1
-rw-r--r--dev-python/soupsieve/soupsieve-2.2.1.ebuild27
14 files changed, 253 insertions, 15 deletions
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 2b0533d316e6..74f147884ed5 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -15,4 +15,5 @@ DIST boto3-1.17.28.tar.gz 350316 BLAKE2B a6fab50a064fd81337c013bb2516ba2baaa520a
DIST boto3-1.17.29.tar.gz 350960 BLAKE2B 8192d2ea8165b7d10ffdd56b30ba3fadf6f2373c61fc3a9b61713bd299f246ec1b00dce897254f954a93b3b7c150e1cbe8ddf4f0a5894a071e656963d3a06299 SHA512 f662a39aa66ffead103f1d8153ba4175a4905a96b152c1c23030ead3b731cdd008a50dea5f7192d719df2240f35e0290d9b4b3c00e87e77b5d396be7e707be8f
DIST boto3-1.17.30.tar.gz 351634 BLAKE2B e6ad4b4e09ae45684ccd799da45dcf7844149b3dd735a378e90949fd4d533df494b93ef1b97c09057336bae63103bc03f8ce1e9500a5293c617fc8267bc35e89 SHA512 d2b6ac1307ccfe71fba12ea5838726c52c4f45a9467a9b0cf01c4e6898fa0744f6c7ea4cca7294b025dcd21b9e1f15d8aabd15c56e2796035b33e8e3c52f1e45
DIST boto3-1.17.31.tar.gz 352268 BLAKE2B eefb7bcc3c6809fc03de2f175d5c3cfa750bc8650d56d5ee18608077a88a1c09ea79c2de1ce67f7d48129d5c948a7e5e30ab261c55a381ccf5c030dc42ff0ee0 SHA512 2d603a307575ff04877105ac98068d96b676faaa89b73ef470d9341951d5fcc148a57c7e80867d93bf257854ec700f61e48575ceebe19591091bbf2a68701138
+DIST boto3-1.17.32.tar.gz 352337 BLAKE2B 0d453ecd51d17291f10d2ffa4ae7b1036dced70a5ca0eafdc5f3073829942ecde57fe20f4d0139bfb2f75bdc47a000624281258ff621b98683ea41eae1a4bc71 SHA512 1bf61e3fcd2d650a534de5e7ed471bbdfeb2be6771f1dbde057ea2e3f3b6a29d6022011b5df90bae5c7ff231aec63ec49501cc3bd42421ec510d73e712060aad
DIST boto3-1.17.7.tar.gz 346682 BLAKE2B 08c06dda1d59b4f555cad075673917b38cbf9ad8d0037f66027b17076e60b4d5fd32a93e088635320ebc3226a9cd8809c9208ec84f8588c26a77766b21dbee98 SHA512 2ba1817575c4a64c232c84a75a9d3b0db1de8634ded9aa31844930a82ccf4611805c6dd31b2e4d36cc9a2cc1813d233b4d7366305eaf28efd46a3b843d3c2993
diff --git a/dev-python/boto3/boto3-1.17.32.ebuild b/dev-python/boto3/boto3-1.17.32.ebuild
new file mode 100644
index 000000000000..2df16964cdb0
--- /dev/null
+++ b/dev-python/boto3/boto3-1.17.32.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+DISTUTILS_USE_SETUPTOOLS=bdepend
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="https://github.com/boto/boto3"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="https://github.com/boto/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.3.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests nose
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # prevent an infinite loop
+ rm tests/functional/docs/test_smoke.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ nosetests -v tests/unit/ tests/functional/ || die "test failed under ${EPYTHON}"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index bab36c169b70..448257679f64 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -15,4 +15,5 @@ DIST botocore-1.20.28.tar.gz 7526082 BLAKE2B 523db8ca7ff9ae87ad30fe539f20b34f462
DIST botocore-1.20.29.tar.gz 7533728 BLAKE2B 75ca3262805177118d0f1a6060d98badf54b07f3b607c4c1c0d057045f671474b11493819030a9e65080af0cdd48c8ea686836b7c9ef7bfe6098babf260f221d SHA512 92d3887929b34e5e6a80b1330e00e6a72d8cfd96b81cc36eed969361db4756607c7c447af73b05f5ff0c27699e32636df12627693c667dea0a9955d2553ea35e
DIST botocore-1.20.30.tar.gz 7534280 BLAKE2B bfa6066e8e2c28475807b8a469257cc8fc6dfb17de231e25db411223a55bc897534e90aa2d7f2a89a21378f8dbbbae52e553333292c1726d11c60cfeea4f4f7a SHA512 3d0d2cc120a1aaa225ebbd2a9393e0d413653c44e55f99094f36d62993737a2f2b5d63a64225e207c4a21b60971fb40eb8c30059efe77cdad6681ce00d4da5ac
DIST botocore-1.20.31.tar.gz 7544090 BLAKE2B c8c158f69463e2eaf3c817d7577bd449724bf0a409e65bd83734cb7af3c0211999e4f7d240da97f017829ee04cbd4f69af0e7ea589adcfb413498dfd831630c9 SHA512 a7f8c02b4518a25e1eb0299b3cec5791810e81b7b6b1d8c9ef2e94cd9fcba21bdcdfc3fe96955e134fc0acb78e27aff850ee352a718d2bf518c8480287a1eb26
+DIST botocore-1.20.32.tar.gz 7543258 BLAKE2B 464b1b32d32f25874cf73a57c281436a6c6095d69dbd90ac6566fbfacb58fea4162e61d58092708c243917398fb9c1898feb3ed7903515a0a2f24c6cf16278d3 SHA512 e7a7a1fac7fab4e6ec49e38909c306ed7f54b544ebe85cefb0a743aa44882707b51877d4872926be282117ecfeeef564f1345b2be8daed9cd54dcd970d5d6811
DIST botocore-1.20.7.tar.gz 7458254 BLAKE2B 8b9a1edda73e2564d3a3d67c6b3542d1ec9372403cb4d88396e58dfbcb5987821f278f2757e079e1ab32e03243ed3a6d1023ecc591b965512b3af5e2d43ea7b0 SHA512 9b023a31be866a50b94017a28aca40b5fe2e720959c928a3fd93db96041f3886049717f50461222a09572c0c56c5961a4614b80e400e4fa6d8b3ff4b4ab681df
diff --git a/dev-python/botocore/botocore-1.20.32.ebuild b/dev-python/botocore/botocore-1.20.32.ebuild
new file mode 100644
index 000000000000..9d681f87244c
--- /dev/null
+++ b/dev-python/botocore/botocore-1.20.32.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="https://github.com/boto/botocore"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/jmespath[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/1.8.6-tests-pass-all-env-vars-to-cmd-runner.patch"
+)
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests nose
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+ # very unstable
+ sed -i -e 's:test_stress_test_token_bucket:_&:' \
+ tests/functional/retries/test_bucket.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ # note: suites need to be run separately as one of the unit tests
+ # seems to be leaking mocks and breaking a few functional tests
+ nosetests -v tests/unit ||
+ die "unit tests failed under ${EPYTHON}"
+ nosetests -v tests/functional ||
+ die "functional tests failed under ${EPYTHON}"
+}
diff --git a/dev-python/cbor2/cbor2-5.2.0.ebuild b/dev-python/cbor2/cbor2-5.2.0.ebuild
index bf0f745231d1..d72fcc2003f3 100644
--- a/dev-python/cbor2/cbor2-5.2.0.ebuild
+++ b/dev-python/cbor2/cbor2-5.2.0.ebuild
@@ -3,7 +3,6 @@
EAPI=7
PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-DISTUTILS_USE_SETUPTOOLS="bdepend"
inherit distutils-r1
@@ -11,23 +10,13 @@ DESCRIPTION="Pure Python CBOR (de)serializer with extensive tag support"
HOMEPAGE="https://github.com/agronholm/cbor2 https://pypi.org/project/cbor2/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-IUSE="test"
-RESTRICT="!test? ( test )"
-
LICENSE="MIT"
SLOT="0"
KEYWORDS="amd64 ~arm arm64 ~x86"
-BDEPEND="
- test? (
- dev-python/pytest[${PYTHON_USEDEP}]
- )
-"
-
-RDEPEND="${DEPEND}"
+distutils_enable_tests pytest
python_prepare_all() {
-
# remove pytest-cov dep
sed -e "s/pytest-cov//" \
-e "s/--cov //" \
@@ -36,4 +25,16 @@ python_prepare_all() {
distutils-r1_python_prepare_all
}
-distutils_enable_tests pytest
+python_test() {
+ local deselect=()
+
+ if use arm || use x86; then
+ # https://github.com/agronholm/cbor2/issues/99
+ deselect+=(
+ tests/test_decoder.py::test_huge_truncated_bytes
+ tests/test_decoder.py::test_huge_truncated_string
+ )
+ fi
+
+ epytest ${deselect[@]/#/--deselect }
+}
diff --git a/dev-python/lark-parser/Manifest b/dev-python/lark-parser/Manifest
index 48eab849127e..66ebacd3e69c 100644
--- a/dev-python/lark-parser/Manifest
+++ b/dev-python/lark-parser/Manifest
@@ -1 +1,2 @@
+DIST lark-parser-0.11.2.tar.gz 225851 BLAKE2B b4fec8701287237442d8fd3b2519f75f70f153a0d9deba8b39ba3317df358fe1ddda738f320ff689a7a8965ab157fefea7eb121ea980c6a6d8ca1b42d63941c9 SHA512 277be4e6d56d8e2747df434518d6d7918c149a67c3f6af3f978858be86f3fae9248989823c2429dbdff4a1c1615753607f5487fd9d6705cfafec698cb9d47e4b
DIST lark-parser-0.7.8.tar.gz 276204 BLAKE2B c2d103f41b7b6ccb988c5935c53e422d495980c1d64cba125e9d27b9b7bf03c0864904e6c2c6b40ec56e8975a8051f1a18c9da126d02fe149dc3684ea7d41c30 SHA512 52eed1a5f26fa7ba79820298a8f6f7594b2351797abdaf8fd96f76e15a11711805955e055164ce287f7204edf3d19116562795cf56db464b4f2f15e40e1da561
diff --git a/dev-python/lark-parser/lark-parser-0.11.2.ebuild b/dev-python/lark-parser/lark-parser-0.11.2.ebuild
new file mode 100644
index 000000000000..3a61f4f7b70b
--- /dev/null
+++ b/dev-python/lark-parser/lark-parser-0.11.2.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python module to propose a modern general-purpose parsing library for Python"
+HOMEPAGE="https://github.com/lark-parser/lark"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ test? (
+ dev-python/regex[${PYTHON_USEDEP}]
+ dev-python/js2py[${PYTHON_USEDEP}]
+ )"
+
+python_test() {
+ "${EPYTHON}" -m tests || die "Tests fail with ${EPYTHON}"
+}
diff --git a/dev-python/markdown/markdown-2.6.11.ebuild b/dev-python/markdown/markdown-2.6.11.ebuild
index dd254d75d849..6a2d66788893 100644
--- a/dev-python/markdown/markdown-2.6.11.ebuild
+++ b/dev-python/markdown/markdown-2.6.11.ebuild
@@ -16,8 +16,7 @@ SRC_URI="mirror://pypi/M/${PN^}/${P^}.tar.gz"
LICENSE="|| ( BSD GPL-2 )"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc
-~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
IUSE="doc"
RESTRICT="test"
diff --git a/dev-python/pydocstyle/Manifest b/dev-python/pydocstyle/Manifest
index def81dace0df..b71df400b9a1 100644
--- a/dev-python/pydocstyle/Manifest
+++ b/dev-python/pydocstyle/Manifest
@@ -1 +1,2 @@
DIST pydocstyle-5.1.1.tar.gz 70759 BLAKE2B 3cdb519d7f9459a201c9b7bc3002e69dae76b79758b155198b3101c6817c66db01616723e789dd8105d0339d6163fec02ab50db2370b13d3a8d1c5a17ecded6c SHA512 70c7408dfa4c8e54a3abf0548a9af26a7ad7ee0bb76f3a41bf6f2297ce09c13c03ab5e066b1b15404ba6390ddfcacbc5e199d8b73ee74e3b184759d88c8b2a51
+DIST pydocstyle-6.0.0.tar.gz 72143 BLAKE2B 1036a5eab38a38bda0f98371f7e4094248cf5057a9afd8743a478f153a5f06feab6b3e7d6be031615b5e88c388786f59a0619f774f492e40a722f39973051d5b SHA512 609a10307aa24513f476ef639771fc095fe7a65ffd8d530fad02886369c62969c69a5134fd0ec79a1e07d1b6cb8f920c3478db546c26aefb0e45771777c02a0b
diff --git a/dev-python/pydocstyle/pydocstyle-6.0.0.ebuild b/dev-python/pydocstyle/pydocstyle-6.0.0.ebuild
new file mode 100644
index 000000000000..ac1afde1c564
--- /dev/null
+++ b/dev-python/pydocstyle/pydocstyle-6.0.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="Python docstring style checker"
+HOMEPAGE="https://github.com/PyCQA/pydocstyle/"
+SRC_URI="https://github.com/PyCQA/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x64-macos"
+
+RDEPEND="dev-python/snowballstemmer[${PYTHON_USEDEP}]"
+
+distutils_enable_tests --install pytest
+# Requires network to lookup github issues
+#distutils_enable_sphinx docs dev-python/sphinx_rtd_theme dev-python/sphinxcontrib-issuetracker
+
+src_prepare() {
+ # no, seriously, you don't need to install it yourself
+ sed -i -e '/pip/d' src/tests/test_integration.py || die
+
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/s3transfer/Manifest b/dev-python/s3transfer/Manifest
index ee669c5cf5d4..8822c1840105 100644
--- a/dev-python/s3transfer/Manifest
+++ b/dev-python/s3transfer/Manifest
@@ -1,2 +1,3 @@
DIST s3transfer-0.3.4.tar.gz 118954 BLAKE2B 71436d3c8921650dfd2c3aec8a0ddbb2cdee8bb82da605b7a7cc38af112eccb9e2742720c597e01aff57fdd067f8a16a9789f5d5b56dd13f84977607e16ef470 SHA512 012b50cebff200dff3a424241bd0a1aa32bf88cb57a4e3a4616d96aac7c8d5d07e7bfee3a298195f55630d01925d27a3063701d915c6bd080dc2e9f7c01880e9
DIST s3transfer-0.3.5.tar.gz 118959 BLAKE2B 8666ec91058752a1862582f886d373bd4eebbb3684571e1fcb0648e2c4ef3f24366b4e496960715487b6f1fb7fdc96f0031ee48259984f2bcdfbb2a8fe3d33bb SHA512 2a5a0b3163a8ae7097d82f897afec97533acc0d1a03271b5e261bc0b98a9af5a0fa0d594cc4cb701c1698bbc347d10b2b105c4393f349bfd5ef628d1844e7ddb
+DIST s3transfer-0.3.6.tar.gz 118877 BLAKE2B 0567b69ee71bd470b3b5bccce3db3e923eee6d8744d9e0e5a1789f3ba5f419742859f530ab43295e5ccb7ffe3c04da8db7ef92c973afac97ff2580bc13c6934f SHA512 3bf97f080b63a88f2860051ef9c0ecd4f06adf1a22eb5bd57c543532f7e85c39f722f0c9cd24022ac0ed3a54ca48a089a10b86703cb866730e265e53acbe602f
diff --git a/dev-python/s3transfer/s3transfer-0.3.6.ebuild b/dev-python/s3transfer/s3transfer-0.3.6.ebuild
new file mode 100644
index 000000000000..e5e1d0311c45
--- /dev/null
+++ b/dev-python/s3transfer/s3transfer-0.3.6.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+DISTUTILS_USE_SETUPTOOLS=bdepend
+
+inherit distutils-r1
+
+DESCRIPTION="An Amazon S3 Transfer Manager"
+HOMEPAGE="https://github.com/boto/s3transfer"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ dev-python/botocore[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ epytest tests/{unit,functional}
+}
diff --git a/dev-python/soupsieve/Manifest b/dev-python/soupsieve/Manifest
index 89038333174c..3d9b4676238f 100644
--- a/dev-python/soupsieve/Manifest
+++ b/dev-python/soupsieve/Manifest
@@ -1 +1,2 @@
+DIST soupsieve-2.2.1.tar.gz 99298 BLAKE2B 94532421f3b8e49d6ab75a54a60ac861a78eee9f6792ded096e39a8a43d46d195cff9b7d8feab918b0f2debc8a6dd35226ab714384fa7f4d795176e269b6c4cb SHA512 c1339cfca237af7f8915b6d644b8271f769f9a37aa68f8acf536236551baaf9bb44a2f2a736f9168a7649cde14d37b8c24614c9491acbf81e3f4fdaea96b4928
DIST soupsieve-2.2.tar.gz 99261 BLAKE2B 637bed198a62a7f92f6b3c022dcb9a579c15a3dcb1e3581b5a18b9ff804c2075c976c3478f86d2400841c177f3160dc05da41991ca56731c91e6db5b95262671 SHA512 26402c831c19c9b133442dd8ea31363e1eadc3cafe172b933cdbc746df6dc9961e930d4fbe8399b847848bf3fcd5893d2449e912ed0cdf8766468997acf5ee87
diff --git a/dev-python/soupsieve/soupsieve-2.2.1.ebuild b/dev-python/soupsieve/soupsieve-2.2.1.ebuild
new file mode 100644
index 000000000000..2fddad0ab49c
--- /dev/null
+++ b/dev-python/soupsieve/soupsieve-2.2.1.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="A modern CSS selector implementation for BeautifulSoup"
+HOMEPAGE="https://github.com/facelessuser/soupsieve/
+ https://pypi.org/project/soupsieve/"
+SRC_URI="https://github.com/facelessuser/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~x64-macos"
+
+BDEPEND="
+ test? (
+ dev-python/beautifulsoup[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/html5lib[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest